#!/usr/bin/perl -w
# Copyright (c) 2003 Trimble Navigation Limited
# $Id: testResults.cgi,v 1.4 2003/06/13 16:48:47 tom Exp $
# $Source: /home/CVS/fireballTop/fireballFS/root/usr/local/apache/htdocs/fireball/perl-scripts/testResults.cgi,v $

########################################################################
# testResults.cgi:
#
# Script to display the production test result files.
#
########################################################################


use strict ;
use CGI qw/:standard/;
use Fireball ;

titleWithHelp( 'Production Test Results',
               '/testResults.html'
             ) ;


my $path  = '/etc/sysinfo/mfgTestResultsStation1' ;
my $fname = $path ;
$fname =~ s|^.*/|| ;

print h3( $fname ) ;

if ( -f $path )
{
  print code( qx( cat $path ) ) ;
}
else
{
  print 'File not found' ;
}

$path  = '/etc/sysinfo/mfgTestResultsStation2' ;
$fname = $path ;
$fname =~ s|^.*/|| ;

print h3( $fname ) ;

if ( -f $path )
{
  print code( qx( cat $path ) ) ;
}
else
{
  print 'File not found' ;
}

print end_html() ;

########################################################################
# End of file testResults.cgi
########################################################################
